<?
session_start();
include("../../clases/BDConexion.php");
  include("../../clases/clsTdoc.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
$codigodoc=$_POST['codigodoc'];
$tipodoc=$_POST['tipodoc'];
$numero=$_POST['numero'];
//$numtradocu="PER/".$tipodoc."-".$numero."/".$_SESSION['usuarea']."-".date(my);
//$fecha=$_POST['fecha'];
  $objTdoc=new clsTdoc;
  $existedoc=$objTdoc->existeasignatdoc($_SESSION['usuarioId'],$_POST['tipodoc']); 
  $existetradoc=$objTdoc->existetramite($codigodoc.$codigodoc1.$codigodoc2);
  if($_POST['tipodoc']=="MEM"){
	$de=$_POST['de'];
	$para=$_POST['para'];
	$referencia=NULL;
	$asunto=$_POST['asunto'];
	$personal=NULL;
	$titulo=NULL;
	$ruc=NULL;
	$monto=0;
	$tipocomp=NULL;
	$numcomp=NULL;
	$concepto=NULL;
	$solicita=NULL;
	$aprueba=NULL;
	$cajachica=NULL;
	$carta=NULL;
	$chequeg=NULL;
	$chequen=NULL;
	$transfacta=NULL;
	$transfnomina=NULL;
	$banco=NULL;
	$cuenta=NULL;
	$tipomon=NULL;
	$fechareq=NULL;
	
	$cc1=NULL;
	$cc2=NULL;
	$cc3=NULL;
	$cc4=NULL;
	$cc5=NULL;
	$cc6=NULL;
	$cc7=NULL;
	$cc8=NULL;
	$mc1=NULL;
	$mc2=NULL;
	$mc3=NULL;
	$mc4=NULL;
	$mc5=NULL;
	$mc6=NULL;
	$mc7=NULL;
	$mc8=NULL;
  }elseif($_POST['tipodoc']=="CAR"){
  	$de=NULL;
	$para=$_POST['para'];
	$referencia=$_POST['referencia'];
	$asunto=$_POST['asunto'];
	$personal=NULL;
	$titulo=NULL;
	$ruc=NULL;
	$monto=0;
	$tipocomp=NULL;
	$numcomp=NULL;
	$concepto=NULL;
	$solicita=NULL;
	$aprueba=NULL;
	$cajachica=NULL;
	$carta=NULL;
	$chequeg=NULL;
	$chequen=NULL;
	$transfacta=NULL;
	$transfnomina=NULL;
	$banco=NULL;
	$cuenta=NULL;
	$tipomon=NULL;
	$fechareq=NULL;
	
	$cc1=NULL;
	$cc2=NULL;
	$cc3=NULL;
	$cc4=NULL;
	$cc5=NULL;
	$cc6=NULL;
	$cc7=NULL;
	$cc8=NULL;
	$mc1=NULL;
	$mc2=NULL;
	$mc3=NULL;
	$mc4=NULL;
	$mc5=NULL;
	$mc6=NULL;
	$mc7=NULL;
	$mc8=NULL;
  }elseif($_POST['tipodoc']=="PAG"){
  	$de=NULL;
	$para=NULL;
	$referencia=NULL;
	$asunto=NULL;
	$personal=$_POST['personal'];
	$titulo=NULL;
	$ruc=$_POST['ruc'];
	
	$monto=$_POST['monto'];
	
	$tipocomp=$_POST['tipocomp'];
	$numcomp=$_POST['numcomp'];
	$concepto=$_POST['concepto'];
	$solicita=$_POST['solicita'];
	$aprueba=$_POST['aprueba'];
	if($rdoa=='1'){$cajachica='X';$carta=NULL;$chequeg=NULL;$chequen=NULL;$transfacta=NULL;$transfnomina=NULL;$banco=NULL;$cuenta=NULL;}
	if($rdoa=='2'){$cajachica=NULL;$carta='X';$chequeg=NULL;$chequen=NULL;$transfacta=NULL;$transfnomina=NULL;$banco=NULL;$cuenta=NULL;}
	if($rdoa=='3'){$cajachica=NULL;$carta=NULL;$chequeg='X';$chequen=NULL;$transfacta=NULL;$transfnomina=NULL;$banco=NULL;$cuenta=NULL;}
	if($rdoa=='4'){$cajachica=NULL;$carta=NULL;$chequeg=NULL;$chequen='X';$transfacta=NULL;$transfnomina=NULL;$banco=NULL;$cuenta=NULL;}
	if($rdoa=='5'){$cajachica=NULL;$carta=NULL;$chequeg=NULL;$chequen=NULL;$transfacta='X';$transfnomina=NULL;$banco=$_POST['banco'];$cuenta=$_POST['cuenta'];}
	if($rdoa=='6'){$cajachica=NULL;$carta=NULL;$chequeg=NULL;$chequen=NULL;$transfacta=NULL;$transfnomina='X';$banco=NULL;$cuenta=NULL;}
	$tipomon=$_POST['tipomon'];	
	$fechareq=$fechareq;
	
	$cc1=$cc1;
	$cc2=$cc2;
	$cc3=$cc3;
	$cc4=$cc4;
	$cc5=$cc5;
	$cc6=$cc6;
	$cc7=$cc7;
	$cc8=$cc8;
	$mc1=$mc1;
	$mc2=$mc2;
	$mc3=$mc3;
	$mc4=$mc4;
	$mc5=$mc5;
	$mc6=$mc6;
	$mc7=$mc7;
	$mc8=$mc8;
  }elseif($_POST['tipodoc']=="PRO"){
  	$de=NULL;
	$para=NULL;
	$referencia=NULL;
	$asunto=NULL;
	$personal=NULL;
	$titulo=$_POST['titulo'];
	$ruc=NULL;
	$monto=0;
	$tipocomp=NULL;
	$numcomp=NULL;
	$concepto=NULL;
	$solicita=NULL;
	$aprueba=NULL;
	
	$cajachica=NULL;
	$carta=NULL;
	$chequeg=NULL;
	$chequen=NULL;
	$transfacta=NULL;
	$transfnomina=NULL;
	$banco=NULL;
	$cuenta=NULL;
	$tipomon=NULL;
	$fechareq=NULL;
	
	$cc1=NULL;
	$cc2=NULL;
	$cc3=NULL;
	$cc4=NULL;
	$cc5=NULL;
	$cc6=NULL;
	$cc7=NULL;
	$cc8=NULL;
	$mc1=NULL;
	$mc2=NULL;
	$mc3=NULL;
	$mc4=NULL;
	$mc5=NULL;
	$mc6=NULL;
	$mc7=NULL;
	$mc8=NULL;
  }elseif($_POST['tipodoc']=="FOR"){
    $de=NULL;
	$para=NULL;
	$referencia=NULL;
	$asunto=NULL;
	$personal=NULL;
	$titulo=NULL;
	$ruc=NULL;
	$monto=0;
	$tipocomp=NULL;
	$numcomp=NULL;
	$concepto=NULL;
	$solicita=NULL;
	$aprueba=NULL;
	
	$cajachica=NULL;
	$carta=NULL;
	$chequeg=NULL;
	$chequen=NULL;
	$transfacta=NULL;
	$transfnomina=NULL;
	$banco=NULL;
	$cuenta=NULL;
	$tipomon=NULL;
	$fechareq=NULL;
	
	$cc1=NULL;
	$cc2=NULL;
	$cc3=NULL;
	$cc4=NULL;
	$cc5=NULL;
	$cc6=NULL;
	$cc7=NULL;
	$cc8=NULL;
	$mc1=NULL;
	$mc2=NULL;
	$mc3=NULL;
	$mc4=NULL;
	$mc5=NULL;
	$mc6=NULL;
	$mc7=NULL;
	$mc8=NULL;
  }elseif($_POST['tipodoc']=="CTO"){
    $de=NULL;
	$para=NULL;
	$referencia=NULL;
	$asunto=NULL;
	$personal=$_POST['personal'];
	$titulo=NULL;
	$ruc=NULL;	
	$monto=NULL;	
	$tipocomp=NULL;
	$numcomp=NULL;
	$concepto=NULL;
	$solicita=NULL;
	$aprueba=NULL;
	
	$cajachica=NULL;
	$carta=NULL;
	$chequeg=NULL;
	$chequen=NULL;
	$transfacta=NULL;
	$transfnomina=NULL;
	$banco=NULL;
	$cuenta=NULL;
	$tipomon=NULL;
	$fechareq=NULL;
	
	$cc1=NULL;
	$cc2=NULL;
	$cc3=NULL;
	$cc4=NULL;
	$cc5=NULL;
	$cc6=NULL;
	$cc7=NULL;
	$cc8=NULL;
	$mc1=NULL;
	$mc2=NULL;
	$mc3=NULL;
	$mc4=NULL;
	$mc5=NULL;
	$mc6=NULL;
	$mc7=NULL;
	$mc8=NULL;
  }
  /* if($confidencial=="0"){
  echo "x";
  }else{
  echo "b";
  } */
  
  $archivito="PER-".$tipodoc."-".$numero."-".$codigodoc1."-".date(my).".doc";
   if($existedoc==0){
  	$objTdoc->registrarasignatdocarea($_SESSION['usuarioId'],$input.$_SESSION['logina'].",",$_POST['tipodoc']);
  }else{
  	$objTdoc->Updateasignatdocarea($_SESSION['usuarioId'],$input.$_SESSION['logina'].",",$_POST['tipodoc']);
  }
  if($existetradoc=="0"){
  	if($confidencial=='0'){
  	$objTdoc->registrartradocu($codigodoc.$codigodoc1.$codigodoc2,extraerfechamysql($fecha),$_SESSION['logina'],$referencia,$asunto,$personal,$input.$_SESSION['logina'].",",$confidencial,$tipodoc,$de,$para,$archivito,$titulo,$_SESSION['usuarea'],$monto,$ruc,$tipocomp,$numcomp,$concepto,$solicita,$aprueba,$cajachica,$carta,$chequeg,$chequen,$transfacta,$transfnomina,$banco,$cuenta,$tipomon,extraerfechamysql($fechareq),$cc1,$cc2,$cc3,$cc4,$cc5,$cc6,$cc7,$cc8,$mc1,$mc2,$mc3,$mc4,$mc5,$mc6,$mc7,$mc8);
	}else{
	$objTdoc->registrartradocu($codigodoc.$codigodoc1.$codigodoc2,extraerfechamysql($fecha),$_SESSION['logina'],$referencia,$asunto,$personal,$_SESSION['logina'].",",$confidencial,$tipodoc,$de,$para,$archivito,$titulo,$_SESSION['usuarea'],$monto,$ruc,$tipocomp,$numcomp,$concepto,$solicita,$aprueba,$cajachica,$carta,$chequeg,$chequen,$transfacta,$transfnomina,$banco,$cuenta,$tipomon,extraerfechamysql($fechareq),$cc1,$cc2,$cc3,$cc4,$cc5,$cc6,$cc7,$cc8,$mc1,$mc2,$mc3,$mc4,$mc5,$mc6,$mc7,$mc8);
	}
  }else{
  	if($confidencial=='0'){
  	$objTdoc->Updatetradocu($codigodoc.$codigodoc1.$codigodoc2,extraerfechamysql($fecha),$referencia,$asunto,$personal,$input.$_SESSION['logina'].",",$confidencial,$de,$para,$archivito,$titulo,$monto,$ruc,$tipocomp,$numcomp,$concepto,$solicita,$aprueba,$cajachica,$carta,$chequeg,$chequen,$transfacta,$transfnomina,$banco,$cuenta,$tipomon,extraerfechamysql($fechareq),$cc1,$cc2,$cc3,$cc4,$cc5,$cc6,$cc7,$cc8,$mc1,$mc2,$mc3,$mc4,$mc5,$mc6,$mc7,$mc8);
	}else{
	$objTdoc->Updatetradocu($codigodoc.$codigodoc1.$codigodoc2,extraerfechamysql($fecha),$referencia,$asunto,$personal,$_SESSION['logina'].",",$confidencial,$de,$para,$archivito,$titulo,$monto,$ruc,$tipocomp,$numcomp,$concepto,$solicita,$aprueba,$cajachica,$carta,$chequeg,$chequen,$transfacta,$transfnomina,$banco,$cuenta,$tipomon,extraerfechamysql($fechareq),$cc1,$cc2,$cc3,$cc4,$cc5,$cc6,$cc7,$cc8,$mc1,$mc2,$mc3,$mc4,$mc5,$mc6,$mc7,$mc8);
	}
  }
  
  if($_POST['tipodoc']=="PAG"){
  	$objTdoc->Updatenumtdoc2($_SESSION['usuarea'],$numero);
  }else{
  	$objTdoc->Updatenumtdoc1($_POST['tipodoc'],$numero);
  }
  
$fechactual=$fecha;
$fechasol=$fechareq;   
$fechahoy=fechahoy($fecha);
Redirigir("per_send_exportword.php?codigodoc=$codigodoc&codigodoc1=$codigodoc1&codigodoc2=$codigodoc2&de=$de&para=$para&referencia=$referencia&asunto=$asunto&personal=$personal&tipodoc=$tipodoc&numero=$numero&fechahoy=$fechahoy&titulo=$titulo&fechactual=$fechactual&monto=$monto&ruc=$ruc&tipocomp=$tipocomp&numcomp=$numcomp&solicita=$solicita&aprueba=$aprueba&concepto=$concepto&cajachica=$cajachica&carta=$carta&chequeg=$chequeg&chequen=$chequen&transfacta=$transfacta&transfnomina=$transfnomina&banco=$banco&cuenta=$cuenta&tipomon=$tipomon&fechasol=$fechasol&cc1=$cc1&cc2=$cc2&cc3=$cc3&cc4=$cc4&cc5=$cc5&cc6=$cc6&cc7=$cc7&cc8=$cc8&mc1=$mc1&mc2=$mc2&mc3=$mc3&mc4=$mc4&mc5=$mc5&mc6=$mc6&mc7=$mc7&mc8=$mc8");
  
  
?>